## precis 1.1.0

=== debian/changelog ===
precis (1.1.0-2) unstable; urgency=low

  * Mark libprecis-java as Multi-Arch: foreign
  * Bump Standards-Version
  * Source-only upload to allow migration to testing

 -- Matthew Fennell <matthew@fennell.dev>  Sat, 01 Jun 2024 15:48:24 +0100

precis (1.1.0-1) unstable; urgency=low

  * Initial release. Closes: #1067524

 -- Matthew Fennell <matthew@fennell.dev>  Sun, 31 Mar 2024 10:35:15 +0100
