=== debian/control ===
Source: precis
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthew Fennell <matthew@fennell.dev>
Build-Depends: debhelper-compat (= 13)
	, maven-debian-helper
	, libmaven-source-plugin-java
	, testng
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/sco0ter/precis
Vcs-Browser: https://salsa.debian.org/java-team/precis
Vcs-Git: https://salsa.debian.org/java-team/precis.git

Package: libprecis-java
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
	, ${maven:Depends}
Description: Java implementation of the PRECIS Framework
 PRECIS validates and prepares Unicode strings in a way, so that they can
 safely be used in application protocols, e.g. when dealing with usernames and
 passwords.
 .
 For example, if strings are used for authentication and authorization
 decisions, the security of an application could be compromised if an entity
 providing a given string is connected to the wrong account or online resource
 based on different interpretations of the string.
 .
 PRECIS takes care of such issues.
 .
 This library supports the following specifications:
 .
 RFC 8264: PRECIS Framework: Preparation, Enforcement, and Comparison of
           Internationalized Strings in Application Protocols
 RFC 8265: Preparation, Enforcement, and Comparison of Internationalized
           Strings Representing Usernames and Passwords
 RFC 8266: Preparation, Enforcement, and Comparison of Internationalized
           Strings Representing Nicknames
 RFC 5893: Right-to-Left Scripts for Internationalized Domain Names for
           Applications (IDNA)
 .
 PRECIS obsoletes Stringprep (RFC 3454) and this library obsoletes software
 like Libidn's Stringprep class.
