=== debian/watch ===
version=4
https://github.com/sco0ter/@PACKAGE@/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
